rsass (0.29.0-3+exp) experimental; urgency=medium

  * add debug aid for tests failing on i386

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Mar 2025 18:53:04 +0100

rsass (0.29.0-3) unstable; urgency=medium

  * omit tests using DEB_HOST_ARCH_CPU (not DEB_HOST_ARCH_CPU)
    to also cover Hurd

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Mar 2025 11:49:00 +0100

rsass (0.29.0-2) unstable; urgency=medium

  * update tests to omit, and limit to i386 and mips64el;
    closes: bug#1097130, thanks to Lucal Nussbaum
  * adjust build flags for armhf
    to reduce risk of out-of-memory issues
  * declare compliance with Debian Policy 4.7.2
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Mar 2025 09:40:10 +0100

rsass (0.29.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: improve filename mangling
  * stop (build-)depend on packages
    for crates num-bigint num-integer num-rational num-traits
  * bump project versions in virtual packages and autopkgtests
  * add patch 2001 to use older branch of crate nom
  * update copyright info: update coverage
  * build- and autopkgtest-check executable;
    build- and autopkgtest-depend on packages
    libtest2-suite-perl libtest2-tools-command-perl perl
  * build-depend unconditionally for crates,
    i.e. drop broken nocheck annotations

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 20:22:32 +0100

rsass (0.28.10-8) unstable; urgency=medium

  * fix autopkgtest-dependency

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Feb 2025 14:16:19 +0100

rsass (0.28.10-7) unstable; urgency=medium

  * drop autopkgtest restriction skip-not-installable
  * fix autopkgtest-depend on versioned crate package
  * tune build flags for hardening and speed
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 13:04:53 +0100

rsass (0.28.10-6) unstable; urgency=medium

  * tighten substvars:
    use ${rust:Version:*} with full package name
    (see bug#1076434)
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * fix set rsass multi-arch:foreign;
    fix set librust-rsass-dev architecture:all,
    and stop advertising multi-arch hinting
    until dependencies are compatible;
    closes: bug#1082858, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Sep 2024 16:54:24 +0200

rsass (0.28.10-5) unstable; urgency=medium

  * fix: set buildsystem=rust in overridden debhelper targets

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 17:16:15 +0200

rsass (0.28.10-4) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 12:21:27 +0200

rsass (0.28.10-3) unstable; urgency=medium

  * tighten package version resolving and mangling
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 12:59:55 +0200

rsass (0.28.10-2) unstable; urgency=medium

  * drop patch 2001, obsoleted by upstream changes;
    tighten (build-)dependencies for crate fastrand

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Jul 2024 10:53:29 +0200

rsass (0.28.10-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: fix file path
  * bump project versions in virtual packages and autopkgtests
  * relax to (build-/autopkgtest-)depend unversioned
    when version is satisfied in Debian stable
  * set Static-Built-Using (not X-Cargo-Built-Using)
  * declare compliance with Debian Policy 4.7.0
  * build-depend on recent rustc

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 May 2024 17:00:18 +0200

rsass (0.28.8-3) unstable; urgency=medium

  * relax (build-)dependency for crate fastrand (see bug#1043016)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Feb 2024 11:39:22 +0100

rsass (0.28.8-2) unstable; urgency=medium

  * update dh-cargo fork
  * update copyright info: update coverage
  * provide and autpkgtest crate rsass-macros
  * tidy patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jan 2024 12:05:29 +0100

rsass (0.28.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix man page description
  * update patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jan 2024 03:10:12 +0100

rsass (0.28.6-2) unstable; urgency=medium

  * revive versioning for autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Nov 2023 12:34:32 +0100

rsass (0.28.6-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: track release tags (not git commits);
    closes: bug#1056027, thanks to Adrian Bunk
  * drop patch 2005, not working as intended (see bug#1056027)
  * tighten (build-)dependencies for crates nom num-rational
  * revive patch 2001, still needed when targeting unstable;
    bump down (build-)dependencies for crate fastrand
  * bump project version in virtual package

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 15:32:52 +0100

rsass (0.28.2+20231021-4) experimental; urgency=medium

  * drop patch 2001, obsoleted by Debian package changes;
    bump (build-)dependencies for crate fastrand

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Nov 2023 12:20:57 +0100

rsass (0.28.2+20231021-3) unstable; urgency=medium

  * revert to skip all previously skipped tests, evidently still broken on i386

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Nov 2023 01:12:41 +0100

rsass (0.28.2+20231021-2) unstable; urgency=medium

  * revert to skip test failing on i386,
    and skip same test for autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Nov 2023 14:58:40 +0100

rsass (0.28.2+20231021-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + filter out placeholder selectors when writing the resulting css
    + filter out some other illegal / never-matching selectors
    + handle trailing comma in function arguments in plain css correctly
    + refactored function name/plain string handling in scss values
      to not parse the same unquoted string twice
    + remove separate backref member from css::Selectors
      for cleanup before implementing more selector functions,
      and instead add it to an internal struct SelectorCtx
    + implement a bunch of css math functions
    + implement css relative color functions
    + simplify units early in numeric division and multiplication
    + refactor some parsers for less backtracking
    + improve selector / name parsing by beeing more restrictive
    + update sass-spec test suite to 2023-10-05

  [ Jonas Smedegaard ]
  * update watch file to track git commits (not release tags)
  * update patch file DEP-3 headers
  * update dh-cargo fork
  * update copyright info: update coverage
  * stop skip tests seemingly stabilized upstream
  * add patch 2005 to lowercase crate prebuild suffix;
    bump project versions in virtual packages;
    reduce versioning for autopkgtests
  * avoid advertising not currently provided crate rsass-macros,
    and add TODO note about it

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Nov 2023 09:44:23 +0100

rsass (0.28.2-3) unstable; urgency=medium

  * re-add older avoided failing test

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Aug 2023 00:57:16 +0200

rsass (0.28.2-2) unstable; urgency=medium

  * update avoided failing tests
  * update dh-cargo fork;
    closes: bug#1045178, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2023 18:01:28 +0200

rsass (0.28.2-1) unstable; urgency=medium

  * set library package Multi-Arch: foreign
  * update dh-cargo fork
  * bump project version in virtual packages and autopkgtests
  * provide crate-specific version for each crate
  * update DEP-3 patch headers
  * temporarily avoid providing micro-versioned pre-release crate

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Aug 2023 13:27:41 +0200

rsass (0.28.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2002, obsoleted by Debian package updates
  * add patch 2001
    to relax dependency to match system-crate fastrand 1.8.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Jul 2023 12:50:52 +0200

rsass (0.27.0-2) unstable; urgency=medium

  * skip test core_functions::math::log::base::one_fuzzy
    failing on i386

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Jan 2023 03:37:44 +0100

rsass (0.27.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl
  * drop patch 2002;
    build- and autopkgtest-depend on
    librust-tracing-subscriber+0.3+default-dev
  * update copyright info: update coverage
  * add patches 2001 2002 to relax dependencies on crates clap quote;
    tighten (build-)depenencies on packages for crate clap
  * update and unfuzz patch 2003
  * bump version for provided virtual packages and autopkgtest hints
  * add patch 2004 to avoid crate spectest
  * restructure to handle upstream multi-crate workspace;
    drop obsolete binary packages
    librust-rsass+commandline-dev librust-rsass+spectest-dev;
    (build-)depend on packages for crates proc-macro2 quote syn;
    stop (build-)depend on package for crate nom-locate

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2023 20:46:27 +0100

rsass (0.26.0-2) unstable; urgency=medium

  * fix typo in previous changelog entry
  * stop overzealously provide versioned virtual packages
  * drop patch 1001, obsoleted by Debian package upgrade;
    (build-)depend on librust-arc-swap-1+default-dev
    (not librust-arc-swap+default-dev);
    closes: bug#1021891, thanks to Paul Gevers
  * simplify build, using local fork of dh-cargo

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Oct 2022 17:37:23 +0200

rsass (0.26.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * update TODOs
  * add patch 1001
    to relax dependency on crate arc-swap;
    build-depend on librust-arc-swap+default-dev
  * update copyright info: update coverage
  * update virtual packages and autopkgtests
    to match new upstream release version

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Sep 2022 22:15:22 +0200

rsass (0.25.2-4) unstable; urgency=medium

  * fix depend (not only build-depend) on crte clap
  * fix explicitly build-depend on librust-nom-7-dev

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Jun 2022 10:17:14 +0200

rsass (0.25.2-3) unstable; urgency=medium

  * fix Vcs-* fields
  * reduce patch 2002 to only avoid crate tracing-subscriber
    (not also tracing);
    build-depend on librust-tracing-0.1+default-dev
  * fix path to upstream documentation in long descriptions

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Jun 2022 19:51:29 +0200

rsass (0.25.2-2) unstable; urgency=medium

  * suppress lintian warnings about empty packages
  * fix install documentation in both rsass and librust-rsass-dev,
    to avoid libraries dependening on binary

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Jun 2022 12:46:10 +0200

rsass (0.25.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop build-depend on ca-certificates
  * drop patch 1001 fixed upstream
  * drop patch 2002 now unneeded;
    build-depend on librust-tracing-0.1+default-dev
  * update package relations
  * tighten autopkgtest dependencies
  * generate documentation from Markdown source;
    build-depend on cmark-gfm
  * drop patch 2001 now unneeded;
    build-depend on librust-clap-3+default-dev
    librust-clap-3+derive-dev librust-clap-3+wrap-help-dev
    (not librust-structopt-0.3+default-dev
    librust-structopt-0.3+wrap-help-dev)
  * add patch 2002 to avoid privacy leak in documentation
  * unfuzz patches
  * mention in long description that implementation is incomplete;
    install upstream documentation only in package rsass
  * mention missing crate tracing-subscriber as TODO

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Jun 2022 12:12:56 +0200

rsass (0.25.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update License-Grant
  * add patch 2002 to avoid use crate tracing
  * update virtual packages and autopkgtests
    to match new upstream release version
  * add patch 1001 to fix update upstream version number

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2022 08:22:51 +0200

rsass (0.24.0-1) unstable; urgency=medium

  * initial Release;
    closes: bug#1011055

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2022 15:53:33 +0200
